
README
======

To try out these samples, first install Frama-C. The best way to do this is to first install the
OCaml package manager, opam. Then use opam to install Frama-C as follows:

    $ opam install frama-c
    
This will also download and install all the required dependencies. You might want to install the
alt-ergo theorem prover as well (I don't think the installation of Frama-C technically requires
alt-ergo).

    $ opam install alt-ergo
    
You can run `frama-c-gui` and from inside the GUI load and analyze the files here. If you want
to do the analysis from the command line use something like:

    $ frama-c -wp swap.c
    
This invokes the WP plugin ("Weakest Precondition"; this is the name of the plugin that does
deductive verification for C). This does *not* generate any proof obligations to check for
absence of runtime errors. If you want WP to invoke the RTE plugin to do that, use:

    $ frama-c -wp -wp-rte swap.c
    
The `options.txt` file is a list of all of Frama-C's options. You can also consult the extensive
documentation on the Frama-C web site.
